package cn.net.cpzslibs.prot.handset.bean;

import java.io.Serializable;

public class Product implements Serializable {
	private static final long serialVersionUID = -6774562293369989327L;
	/**
	 * 产品id
	 */
	private String id;
	/**
	 * 产品名称
	 */
	private String name;
	/**
	 * 一维码
	 */
	private String nid;
	private String cType;
	private String image;//产品图片URL
	private int choiceCount = 0;
	private int status = 0;//0:有效   
	public String getId() {
		return id;
	}
	public String getName() {
		return name;
	}
	public String getNid() {
		return nid;
	}
	public String getcType() {
		return cType;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	public void setName(String name) {
		this.name = name;
	}
	public void setNid(String nid) {
		this.nid = nid;
	}
	public String getImage() {
		return image;
	}
	public void setcType(String cType) {
		this.cType = cType;
	}
	public void setImage(String image) {
		this.image = image;
	}
	
	public int getChoiceCount() {
		return choiceCount;
	}
	public void setChoiceCount(int choiceCount) {
		this.choiceCount = choiceCount;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	@Override
	public String toString() {
		return "Product [id=" + id + ", name=" + name + ", nid=" + nid + ", cType=" + cType + ", image=" + image
				+ ", choiceCount=" + choiceCount + ", status=" + status + "]";
	}
}
